#Reset Colors
tag @e[name=LobbyColors] remove Aqua
tag @e[name=LobbyColors] remove Blue
tag @e[name=LobbyColors] remove DarkAqua
tag @e[name=LobbyColors] remove DarkBlue
tag @e[name=LobbyColors] remove DarkGray
tag @e[name=LobbyColors] remove DarkGreen
tag @e[name=LobbyColors] remove DarkPurple
tag @e[name=LobbyColors] remove DarkRed
tag @e[name=LobbyColors] remove Gold
tag @e[name=LobbyColors] remove Gray
tag @e[name=LobbyColors] remove Green
tag @e[name=LobbyColors] remove LightPurple
tag @e[name=LobbyColors] remove Red
tag @e[name=LobbyColors] remove White
tag @e[name=LobbyColors] remove Yellow

#Reset Bosses
tag @e[name=LobbyBosses] remove Anubis
tag @e[name=LobbyBosses] remove Bunny
tag @e[name=LobbyBosses] remove Creeper
tag @e[name=LobbyBosses] remove Enderman
tag @e[name=LobbyBosses] remove Evoker
tag @e[name=LobbyBosses] remove Illusioner
tag @e[name=LobbyBosses] remove IronGolem
tag @e[name=LobbyBosses] remove MagmaCube
tag @e[name=LobbyBosses] remove Phantom
tag @e[name=LobbyBosses] remove Render
tag @e[name=LobbyBosses] remove Slime
tag @e[name=LobbyBosses] remove Spider
tag @e[name=LobbyBosses] remove Vindicator
tag @e[name=LobbyBosses] remove Witch
tag @e[name=LobbyBosses] remove WitherSkeleton
tag @e[name=LobbyBosses] remove Dharkon
tag @e[name=LobbyBosses] remove Excaliron
tag @e[name=LobbyBosses] remove Veritas

#Reset Cutscenes
tag @e[name=LobbyCut] remove Spider
tag @e[name=LobbyCut] remove Render
tag @e[name=LobbyCut] remove Anubis
tag @e[name=LobbyCut] remove Dharkon
tag @e[name=LobbyCut] remove Excaliron
tag @e[name=LobbyCut] remove Veritas
scoreboard players set @a SceneBlaze 0
scoreboard players set @a SceneSpirit 0
scoreboard players set @a SceneEvoker 0

#Reset Challenges
fill 44 7 -18 48 7 -22 red_wool replace lime_wool
tag @e[name=LobbySettings] remove Challenge1
tag @e[name=LobbySettings] remove Challenge2
tag @e[name=LobbySettings] remove Challenge3
tag @e[name=LobbySettings] remove Challenge4
tag @e[name=LobbySettings] remove Challenge5
tag @e[name=LobbySettings] remove Challenge6
tag @e[name=LobbySettings] remove Challenge7
tag @e[name=LobbySettings] remove Challenge8
tag @e[name=LobbySettings] remove Challenge9

#Colors-Library-Bosses-Challenges locks
fill 31 11 -3 23 11 -15 black_concrete
fill 31 8 -9 31 10 -9 oak_planks
tag @e[name=LobbyUnlocks] remove Floor1
fill 21 11 -24 35 11 -16 black_concrete
fill 35 8 -16 35 10 -16 oak_planks
tag @e[name=LobbyUnlocks] remove Floor2
fill 47 11 -3 57 11 -15 black_concrete
fill 43 8 -16 43 10 -16 oak_planks
tag @e[name=LobbyUnlocks] remove Floor3
fill 43 11 -16 50 11 -24 black_concrete
fill 47 8 -9 47 10 -9 oak_planks
tag @e[name=LobbyUnlocks] remove Floor4
fill 41 11 -1 37 11 3 black_concrete
fill 39 8 -1 39 10 -1 oak_planks
tag @e[name=LobbyUnlocks] remove Floor0

#All Stats reset
scoreboard players set @a StatTurns 0
scoreboard players set @a StatKills 0
scoreboard players set @a StatDeaths 0
scoreboard players set @a StatWins 0
scoreboard players set @a StatCasts 0
scoreboard players set @a StatReads 0
scoreboard players set @a StatQuaffs 0
scoreboard players set @a StatOrbs 0
scoreboard players set @a StatCurses 0
scoreboard players set @a StatBuys 0
scoreboard players set @a StatHonor1 0
scoreboard players set @a StatHonor2 0
scoreboard players set @a PSS 0

scoreboard players set Global StatBlaze 0
scoreboard players set Global StatSpirit 0
scoreboard players set Global StatEvoker 0
scoreboard players set Global StatDeaths 0
scoreboard players set Global StatWins 0

scoreboard players set Type LastRun 0
scoreboard players set Kills LastRun 0
scoreboard players set Level LastRun 0
scoreboard players set Steps LastRun 0
scoreboard players set Attack1 LastRun 0
scoreboard players set Attack2 LastRun 0
scoreboard players set Defense1 LastRun 0
scoreboard players set Defense2 LastRun 0
scoreboard players set Honor LastRun 0
scoreboard players set Orb LastRun 0
scoreboard players set Floor LastRun 0
scoreboard players set Curses LastRun 0
scoreboard players set RSS LastRun 0

scoreboard players set Type BestRun 0
scoreboard players set Kills BestRun 0
scoreboard players set Level BestRun 0
scoreboard players set Steps BestRun 0
scoreboard players set Attack1 BestRun 0
scoreboard players set Attack2 BestRun 0
scoreboard players set Defense1 BestRun 0
scoreboard players set Defense2 BestRun 0
scoreboard players set Honor BestRun 0
scoreboard players set Orb BestRun 0
scoreboard players set Floor BestRun 0
scoreboard players set Curses BestRun 0
scoreboard players set RSS BestRun 0

#General game setup
scoreboard objectives setdisplay sidebar
kill @e[name=Room]
advancement revoke @a everything
advancement grant @a only story:root
bossbar set minecraft:health visible false
bossbar set minecraft:experience visible false
bossbar set minecraft:magic visible false
function main:lobby/load