#Reset field
clear @a beacon
tp @a[tag=Playing] 14 4 -2
scoreboard players set CurrentFloor MathCurrent 10
scoreboard players set CurrentFloor Math 5
fill 0 7 4 76 11 80 air
kill @e[tag=RoomSpecial]
kill @e[tag=Enemy]
kill @e[tag=Shopkeeper]
kill @e[type=item]
kill @e[name=BossStand]
kill @e[name=BeaconPoint]
function xlair:reset1
fill 7 6 73 69 6 11 black_concrete replace yellow_stained_glass
function xlair:grid1
function xlair:layout1
fill 7 7 73 69 14 11 black_concrete replace barrier
function xlair:room1

#Reset special room armorstands
execute at @e[name=Room] if block ~ 7 ~ white_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CraftRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ orange_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"SmiteRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ magenta_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"EnchantRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ light_blue_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"BrewingRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ gray_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CutRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ light_gray_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"EndRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ cyan_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"MineRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ cyan_terracotta run data merge block ~ 8 ~ {LootTable:"loot:mine"}
execute at @e[name=Room] if block ~ 7 ~ lime_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"SummonRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ pink_terracotta run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CombineRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ granite run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"TradeRoom\"",Invisible:1}
execute at @e[name=Room] if block ~ 7 ~ polished_granite run summon armor_stand ~ 8 ~ {Tags:["RoomSpecial"],CustomName:"\"CompressRoom\"",Invisible:1}
execute as @e[name=Room] at @s if block ~ 7 ~ yellow_terracotta run function math:shop2

#Fill assets
fill 7 7 73 69 14 11 black_concrete replace air
fill 7 7 73 69 14 11 black_concrete replace barrier
fill 7 10 73 69 14 11 black_concrete replace black_stained_glass
fill 7 10 73 69 14 11 black_concrete replace white_stained_glass
fill 7 14 73 69 14 11 black_concrete replace purple_stained_glass
execute at @e[tag=StartRoom] run fill ~-3 8 ~-3 ~3 14 ~3 barrier replace black_concrete
fill 7 6 73 69 6 11 black_concrete replace air

fill 6 7 9 5 14 75 black_concrete replace air
fill 6 14 74 69 7 75 black_concrete replace air
fill 70 14 75 71 7 9 black_concrete replace air
fill 70 14 10 6 7 9 black_concrete replace air

fill 6 7 11 5 14 73 black_concrete replace barrier
fill 6 14 74 69 7 75 black_concrete replace barrier
fill 70 14 74 71 7 11 black_concrete replace barrier
fill 70 14 10 6 7 9 black_concrete replace barrier
tag @e[tag=StartRoom] add Discovered
tag @e[tag=StartRoom] add Open

execute at @e[name=Room,limit=10,sort=random,tag=!StartRoom] run clone ~3 9 ~ ~3 9 ~ ~3 10 ~
execute at @e[name=Room,limit=10,sort=random,tag=!StartRoom] run clone ~-3 9 ~ ~-3 9 ~ ~-3 10 ~
execute at @e[name=Room,limit=10,sort=random,tag=!StartRoom] run clone ~ 9 ~3 ~ 9 ~3 ~ 10 ~3
execute at @e[name=Room,limit=10,sort=random,tag=!StartRoom] run clone ~ 9 ~-3 ~ 9 ~-3 ~ 10 ~-3
execute at @e[name=Room,limit=10,sort=random] run clone ~3 9 ~1 ~3 9 ~1 ~3 10 ~1
execute at @e[name=Room,limit=10,sort=random] run clone ~-3 9 ~1 ~-3 9 ~1 ~-3 10 ~1
execute at @e[name=Room,limit=10,sort=random] run clone ~1 9 ~3 ~1 9 ~3 ~1 10 ~3
execute at @e[name=Room,limit=10,sort=random] run clone ~1 9 ~-3 ~1 9 ~-3 ~1 10 ~-3
execute at @e[name=Room,limit=10,sort=random] run clone ~3 9 ~-1 ~3 9 ~-1 ~3 10 ~-1
execute at @e[name=Room,limit=10,sort=random] run clone ~-3 9 ~-1 ~-3 9 ~-1 ~-3 10 ~-1
execute at @e[name=Room,limit=10,sort=random] run clone ~-1 9 ~3 ~-1 9 ~3 ~-1 10 ~3
execute at @e[name=Room,limit=10,sort=random] run clone ~-1 9 ~-3 ~-1 9 ~-3 ~-1 10 ~-3

execute at @e[name=Room,limit=10,sort=random] run clone ~3 9 ~2 ~3 9 ~2 ~3 10 ~2
execute at @e[name=Room,limit=10,sort=random] run clone ~-3 9 ~2 ~-3 9 ~2 ~-3 10 ~2
execute at @e[name=Room,limit=10,sort=random] run clone ~2 9 ~3 ~2 9 ~3 ~2 10 ~3
execute at @e[name=Room,limit=10,sort=random] run clone ~2 9 ~-3 ~2 9 ~-3 ~2 10 ~-3
execute at @e[name=Room,limit=10,sort=random] run clone ~3 9 ~-2 ~3 9 ~-2 ~3 10 ~-2
execute at @e[name=Room,limit=10,sort=random] run clone ~-3 9 ~-2 ~-3 9 ~-2 ~-3 10 ~-2
execute at @e[name=Room,limit=10,sort=random] run clone ~-2 9 ~3 ~-2 9 ~3 ~-2 10 ~3
execute at @e[name=Room,limit=10,sort=random] run clone ~-2 9 ~-3 ~-2 9 ~-3 ~-2 10 ~-3

execute at @e[name=Room,limit=10,sort=random] run clone ~3 9 ~3 ~3 9 ~3 ~3 10 ~3
execute at @e[name=Room,limit=10,sort=random] run clone ~-3 9 ~3 ~-3 9 ~3 ~-3 10 ~3
execute at @e[name=Room,limit=10,sort=random] run clone ~3 9 ~3 ~3 9 ~3 ~3 10 ~3
execute at @e[name=Room,limit=10,sort=random] run clone ~3 9 ~-3 ~3 9 ~-3 ~3 10 ~-3
execute at @e[name=Room,limit=10,sort=random] run clone ~3 9 ~-3 ~3 9 ~-3 ~3 10 ~-3
execute at @e[name=Room,limit=10,sort=random] run clone ~-3 9 ~-3 ~-3 9 ~-3 ~-3 10 ~-3
execute at @e[name=Room,limit=10,sort=random] run clone ~-3 9 ~3 ~-3 9 ~3 ~-3 10 ~3
execute at @e[name=Room,limit=10,sort=random] run clone ~-3 9 ~-3 ~-3 9 ~-3 ~-3 10 ~-3

fill 7 10 73 69 10 11 black_concrete replace structure_void

#Spawn monsters
execute as @e[name=Room,tag=!Discovered,tag=!BossRoom,tag=!Shopkeep,limit=25] at @s unless block ~ 7 ~ #path:use unless entity @e[tag=Enemy,distance=..7] run function math:spawn5c
execute as @e[tag=Enemy] at @s run tp @s ~ ~ ~ facing entity @e[tag=Enemy,limit=1,sort=random]
tag @e[tag=Enemy] add Sleep

#Summon items
execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,tag=!Shopkeep] at @s unless block ~ 7 ~ #path:use run tag @s add Healing
execute as @e[name=Room,tag=Healing,sort=random,limit=1] at @s run function math:spawnitem2
tag @e[name=Room] remove Healing

execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=5,sort=random,tag=!Shopkeep] at @s run function math:spawnfood
execute if score Orb Math matches 4 as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=2,sort=random,tag=!Shopkeep] at @s run function math:spawnfood
execute if entity @e[tag=Player,tag=P_Foot] as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=2,sort=random,tag=!Shopkeep] at @s run function math:spawnfood

execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=8,sort=random,tag=!Shopkeep] at @s run function math:spawnitem
execute if entity @e[tag=Player,tag=P_Clover] as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=3,sort=random,tag=!Shopkeep] at @s run function math:spawnitem

execute as @e[name=Room,tag=!BossRoom,tag=!Discovered,limit=3,sort=random,tag=!Shopkeep] at @s run function math:spawncombat5

execute if entity @e[tag=Player,tag=P_Chest] run give @a[tag=Playing] charcoal{Coal:1b,display:{Lore:['{"text":"§e§lItem Resource"}','{"text":"§7Can be used to summon... things."}']}}
execute if entity @e[tag=Player,tag=P_Chest] run give @a[tag=Playing] oak_planks{display:{Lore:['{"text":"§6§lCombat Resource"}','{"text":"§7Not very hard, but won\'t break easily."}']}}
execute if entity @e[tag=Player,tag=P_Bag] run scoreboard players add Food ListBuff 100
execute if entity @e[tag=Player,tag=P_Bag] run scoreboard players add @e[tag=Player] Health 100
execute as @e[tag=Player] if score @s Health > @s HealthMax store result score @s Health run scoreboard players get @s HealthMax
execute if score Food ListBuff matches 301.. run scoreboard players set Food ListBuff 300

execute at @e[tag=StartRoom] run tp @e[tag=Player] ~ 8 ~
execute at @e[tag=StartRoom] run tp @e[tag=Friend] ~ 8 ~
execute at @e[tag=StartRoom] run tp @e[type=armor_stand,name=Start] ~ 8 ~
tag @e[tag=Player] remove InBoss
tag @e[tag=Player] remove InBoss2
tag @e[tag=Player] remove InBoss3
function math:changeitem1

execute if entity @e[tag=Player,type=blaze] if entity @a[tag=Playing,scores={SceneBlaze=..4}] run tag @a[tag=Playing] add CutScene
execute if entity @e[tag=Player,type=blaze] if entity @a[tag=Playing,scores={SceneBlaze=..4}] run tag @a[tag=Playing] add TalkBlaze5
execute if entity @e[tag=Player,type=blaze] if entity @a[tag=Playing,scores={SceneBlaze=..4}] run scoreboard players set Blaze1 Talk 0

execute if entity @e[tag=Player,type=stray] if entity @a[tag=Playing,scores={SceneSpirit=..4}] run tag @a[tag=Playing] add CutScene
execute if entity @e[tag=Player,type=stray] if entity @a[tag=Playing,scores={SceneSpirit=..4}] run tag @a[tag=Playing] add TalkSpirit5
execute if entity @e[tag=Player,type=stray] if entity @a[tag=Playing,scores={SceneSpirit=..4}] run scoreboard players set Spirit1 Talk 0

execute if entity @e[tag=Player,type=evoker] if entity @a[tag=Playing,scores={SceneEvoker=..4}] run tag @a[tag=Playing] add CutScene
execute if entity @e[tag=Player,type=evoker] if entity @a[tag=Playing,scores={SceneEvoker=..4}] run tag @a[tag=Playing] add TalkEvoker5
execute if entity @e[tag=Player,type=evoker] if entity @a[tag=Playing,scores={SceneEvoker=..4}] run scoreboard players set Evoker1 Talk 0

title @a[tag=Playing,tag=!CutScene] title {"translate":"message.generate.floor10a","color":"dark_purple","bold":"true"}
title @a[tag=Playing,tag=!CutScene] subtitle {"translate":"message.generate.floor10b","color":"green","italic":"true"}
execute at @e[tag=Player] run tp @a[tag=Playing,tag=!CutScene] ~ 15 ~
execute at @e[tag=FinalRoom] run fill ~-4 7 ~-4 ~4 9 ~4 coarse_dirt replace black_concrete