execute as @e[tag=Boss,scores={TimeBoss=0}] run scoreboard players add @s Time 1
scoreboard players set @e[tag=Boss,scores={TimeBoss=1}] Time 0
scoreboard players set Blinded ListBuff 2
execute as @e[tag=Boss,scores={GeneratorTime=1..}] run scoreboard players remove @s GeneratorTime 1
execute as @e[tag=Boss] if score @s GeneratorTime matches 0 run tag @s remove Etheral

execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Clone\""}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Weakness\""}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Shock\""}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Paralyze\""}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Confuse\""}
execute at @e[tag=Boss,scores={Time=3}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Nothing\""}
execute at @e[tag=Boss,scores={Time=3}] run tag @e[type=area_effect_cloud,limit=1,sort=random,distance=..1] add Choose

execute at @e[tag=Boss,scores={Time=4}] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Ether\""}
execute at @e[tag=Boss,scores={Time=4}] run tag @e[type=area_effect_cloud,limit=1,sort=random,distance=..1] add Choose

execute at @e[tag=Boss,scores={Time=3..4}] run setblock ~ 7 ~ purple_concrete_powder

execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run tag @s add HitDone
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run tag @s add EnemyNoMove
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run scoreboard players set @s Time 8

execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Clone,tag=Choose,distance=..1] run tag @s add Clone
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Clone,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 4
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Weakness,tag=Choose,distance=..1] run tag @s add Weakness
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Weakness,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 4
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Shock,tag=Choose,distance=..1] run tag @s add Shock
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Shock,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 6
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Paralyze,tag=Choose,distance=..1] run tag @s add Paralyze
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Paralyze,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Confuse,tag=Choose,distance=..1] run tag @s add Confuse
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Confuse,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 5
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Ether,tag=Choose,distance=..1] run tag @s add Ether
execute as @e[tag=Boss,scores={Time=3..}] at @s if entity @e[name=Ether,tag=Choose,distance=..1] run scoreboard players set @s TimeBoss 3

scoreboard players remove @e[tag=Boss,scores={TimeBoss=1..}] TimeBoss 1
execute as @e[tag=Boss,scores={TimeBoss=1..}] run tag @s add HitDone
execute as @e[tag=Boss,scores={TimeBoss=1..}] run tag @s add EnemyNoMove

execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"CloneBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"CloneBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 false @e[name=CloneBoss,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] as @e[name=CloneBoss,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] at @e[name=CloneBoss,type=area_effect_cloud] run summon illusioner ~ ~ ~ {NoAI:1,Tags:["Clone","EnemyNoMove","HitDone","Enemy"]}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] at @e[type=illusioner] run particle witch ~ ~ ~ 0.5 0.5 0.5 0.01 100 force
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 true @e[name=TeleportBoss,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] as @e[name=TeleportBoss,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] at @e[name=TeleportBoss,type=area_effect_cloud] run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Clone] as @e[type=illusioner] at @s run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
tag @e[tag=Boss,scores={TimeBoss=0},tag=Clone] remove Clone

execute as @e[tag=Boss,scores={TimeBoss=3},tag=Weakness] run tellraw @a[tag=Playing] {"text":"The poison blocks begin to glow...","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Weakness] at @e[tag=Player] if block ~1 7 ~ purple_concrete_powder run scoreboard players add Weakness ListBuff 5
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Weakness] at @e[tag=Player] if block ~-1 7 ~ purple_concrete_powder run scoreboard players add Weakness ListBuff 5
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Weakness] at @e[tag=Player] if block ~ 7 ~1 purple_concrete_powder run scoreboard players add Weakness ListBuff 5
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Weakness] at @e[tag=Player] if block ~ 7 ~-1 purple_concrete_powder run scoreboard players add Weakness ListBuff 5
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Weakness] at @e[name=BossStand] run fill ~-3 7 ~-3 ~3 7 ~3 blue_concrete_powder replace purple_concrete_powder
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Weakness] at @e[name=BossStand] run particle dust 0 0 1 1 ~ ~ ~ 2 0.1 2 0.1 1000 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Weakness] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"PoisonPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Weakness] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"PoisonPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Weakness] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"PoisonPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Weakness] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"PoisonPlace\""}
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Weakness] at @e[name=Room,tag=BossRoom] run spreadplayers ~ ~ 1 3 false @e[name=PoisonPlace,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Weakness] as @e[name=PoisonPlace,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Weakness] at @e[name=PoisonPlace,type=area_effect_cloud] run particle dust 1 0 1 1 ~ ~ ~ 0.2 0.2 0.2 0.1 50 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Weakness] at @e[name=PoisonPlace,type=area_effect_cloud] run setblock ~ ~-1 ~ purple_concrete_powder
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Weakness] as @e[name=PoisonPlace,type=area_effect_cloud] run kill @s
tag @e[tag=Boss,scores={TimeBoss=0},tag=Weakness] remove Weakness

execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @e[tag=Player] run summon area_effect_cloud ~2 ~ ~ {CustomName:"\"BeamTeleport\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @e[tag=Player] run summon area_effect_cloud ~-2 ~ ~ {CustomName:"\"BeamTeleport\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @e[tag=Player] run summon area_effect_cloud ~ ~ ~2 {CustomName:"\"BeamTeleport\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @e[tag=Player] run summon area_effect_cloud ~ ~ ~-2 {CustomName:"\"BeamTeleport\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] as @e[name=BeamTeleport] at @s unless block ~ 8 ~ #path:standable run kill @s
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @s run tag @e[type=area_effect_cloud,limit=1,sort=random,tag=Effect] add Choose2
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @s run tag @e[type=area_effect_cloud,limit=1,sort=random,tag=Effect,tag=!Choose2] add Choose3
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @e[name=BeamTeleport,type=area_effect_cloud,tag=Choose2] run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @e[name=BeamTeleport,type=area_effect_cloud,tag=Choose3] run summon illusioner ~ ~ ~ {NoAI:1,Tags:["Clone","EnemyNoMove","HitDone","Enemy"]}
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @s run summon area_effect_cloud ~ 8 ~ {CustomName:"\"IllusionerBeam\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=5},tag=Shock] at @s run tp @e[name=IllusionerBeam] ~ 8 ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Shock] as @e[name=IllusionerBeam] at @s run function enemy:boss/illusionerbeam
execute as @e[tag=Boss,scores={TimeBoss=4},tag=Shock] as @e[name=IllusionerBeam] run kill @s
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @e[tag=Player] run summon area_effect_cloud ~2 ~ ~ {CustomName:"\"BeamTeleport\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @e[tag=Player] run summon area_effect_cloud ~-2 ~ ~ {CustomName:"\"BeamTeleport\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @e[tag=Player] run summon area_effect_cloud ~ ~ ~2 {CustomName:"\"BeamTeleport\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @e[tag=Player] run summon area_effect_cloud ~ ~ ~-2 {CustomName:"\"BeamTeleport\"",Tags:["Effect"]}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] as @e[name=BeamTeleport] at @s unless block ~ 8 ~ #path:standable run kill @s
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @s run tag @e[type=area_effect_cloud,limit=1,sort=random,tag=Effect] add Choose2
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @s run tag @e[type=area_effect_cloud,limit=1,sort=random,tag=Effect,tag=!Choose2] add Choose3
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @e[name=BeamTeleport,type=area_effect_cloud,tag=Choose2] run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @e[name=BeamTeleport,type=area_effect_cloud,tag=Choose3] run summon illusioner ~ ~ ~ {NoAI:1,Tags:["Clone","EnemyNoMove","HitDone","Enemy"]}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @s run summon area_effect_cloud ~ 8 ~ {CustomName:"\"IllusionerBeam\"",Duration:200000}
execute as @e[tag=Boss,scores={TimeBoss=3},tag=Shock] at @s run tp @e[name=IllusionerBeam] ~ 8 ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Shock] as @e[name=IllusionerBeam] at @s run function enemy:boss/illusionerbeam
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Shock] as @e[name=IllusionerBeam] run kill @s
tag @e[tag=Boss,scores={TimeBoss=0},tag=Shock] remove Shock

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Paralyze] run tellraw @a[tag=Playing] {"text":"The illusions stares right at you...","color":"dark_green"}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Paralyze] at @s run summon illusioner ~ ~ ~ {NoAI:1,Tags:["Clone","EnemyNoMove","HitDone","Enemy"]}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Paralyze] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"TeleportBoss\""}
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Paralyze] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 true @e[name=TeleportBoss,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Paralyze] as @e[name=TeleportBoss,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Paralyze] at @e[name=TeleportBoss,type=area_effect_cloud] run tp @s ~ ~ ~ facing entity @e[tag=Player,limit=1]
execute as @e[tag=Boss,scores={TimeBoss=2},tag=Paralyze] at @s run particle cloud ~ ~ ~ 0.5 0.5 0.5 0.01 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Paralyze] at @e[tag=Clone] run particle dust 1 0 1 1 ~ ~ ~ 0.7 0.7 0.7 0.01 200 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Paralyze] at @e[tag=Clone] if entity @e[tag=Player,distance=..1] run scoreboard players set Paralyzed ListBuff 8
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Paralyze] as @e[tag=Clone] run kill @s
tag @e[tag=Boss,scores={TimeBoss=0},tag=Paralyze] remove Paralyze

execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Confuse] at @s align xz positioned ~0.5 ~-0.5 ~0.5 run function enemy:move
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Confuse] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"ConfuseGas\""}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Confuse] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"ConfuseGas\""}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Confuse] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"ConfuseGas\""}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Confuse] at @s run summon area_effect_cloud ~ ~ ~ {CustomName:"\"ConfuseGas\""}
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Confuse] at @e[name=BossStand,limit=1] run spreadplayers ~ ~ 1 3 false @e[name=ConfuseGas,type=area_effect_cloud]
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Confuse] as @e[name=ConfuseGas,type=area_effect_cloud] at @s run tp @s ~ 8 ~
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Confuse] as @e[name=ConfuseGas] at @s run particle dust 0 0 0 1 ~ ~ ~ 0.3 0.3 0.3 0.01 100 force @a
execute as @e[tag=Boss,scores={TimeBoss=1..4},tag=Confuse] as @e[name=ConfuseGas] at @s if entity @e[tag=Player,distance=..1] run scoreboard players add Confused ListBuff 3
tag @e[tag=Boss,scores={TimeBoss=0},tag=Confuse] remove Confuse

execute as @e[tag=Boss,scores={TimeBoss=2},tag=Ether] at @s run particle cloud ~ ~ ~ 0.2 0.2 0.2 0.1 100 force
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Ether] at @s run tag @s add Etheral
execute as @e[tag=Boss,scores={TimeBoss=1},tag=Ether] at @s run scoreboard players set @s GeneratorTime 8
tag @e[tag=Boss,scores={TimeBoss=0},tag=Ether] remove Ether

execute as @e[tag=Boss,scores={Time=3..,TimeBoss=0}] at @s if entity @e[name=!Nothing,tag=Choose,distance=..1] run scoreboard players set @s Time 0
execute as @e[tag=Boss,scores={Time=3..}] run kill @e[type=area_effect_cloud,distance=..1]

scoreboard players set @e[type=illusioner,tag=!Secured] Health 1
scoreboard players set @e[type=illusioner,tag=!Secured] AttackMin 15
scoreboard players set @e[type=illusioner,tag=!Secured] AttackMax 20
scoreboard players set @e[type=illusioner,tag=!Secured] DefenseMin 0
scoreboard players set @e[type=illusioner,tag=!Secured] DefenseMax 0
tag @e[type=illusioner,tag=!Secured] add Secured