#Experience
execute if entity @s[type=slime] run scoreboard players add @e[tag=Player] Experience 15
execute if entity @s[type=zombie,tag=Baby] run scoreboard players add @e[tag=Player] Experience 10
execute if entity @s[type=zombie,tag=!Baby] run scoreboard players add @e[tag=Player] Experience 20
execute if entity @s[type=cave_spider,tag=!NoLoot] run scoreboard players add @e[tag=Player] Experience 10

execute if entity @s[type=silverfish,tag=!NoLoot] run scoreboard players add @e[tag=Player] Experience 15
execute if entity @s[type=skeleton] run scoreboard players add @e[tag=Player] Experience 25
execute if entity @s[type=spider,tag=!NoLoot] run scoreboard players add @e[tag=Player] Experience 20
execute if entity @s[type=vindicator] run scoreboard players add @e[tag=Player] Experience 30

execute if entity @s[name=Mech] run scoreboard players add @e[tag=Player] Experience 25
execute if entity @s[name=Sniper] run scoreboard players add @e[tag=Player] Experience 25
execute if entity @s[name=Crusher] run scoreboard players add @e[tag=Player] Experience 25

execute if entity @s[name=Ghost] run scoreboard players add @e[tag=Player] Experience 20
execute if entity @s[type=wither_skeleton] run scoreboard players add @e[tag=Player] Experience 40
execute if entity @s[name="Armored Zombie"] run scoreboard players add @e[tag=Player] Experience 30
execute if entity @s[name="Armored Skeleton"] run scoreboard players add @e[tag=Player] Experience 15

execute if entity @s[type=husk] run scoreboard players add @e[tag=Player] Experience 30

execute if entity @s[name=Sorcerer] run scoreboard players add @e[tag=Player] Experience 40
execute if entity @s[type=evoker] run scoreboard players add @e[tag=Player] Experience 60
execute if entity @s[type=witch] run scoreboard players add @e[tag=Player] Experience 50
execute if entity @s[type=endermite] run scoreboard players add @e[tag=Player] Experience 10

execute if entity @s[type=blaze] run scoreboard players add @e[tag=Player] Experience 60
execute if entity @s[type=magma_cube] run scoreboard players add @e[tag=Player] Experience 40

execute if entity @s[name=Dummy] run scoreboard players add @e[tag=Player] Experience 10
execute if entity @s[name=Generator] at @s run setblock ~ 8 ~ structure_void

execute if entity @s[tag=Boss] run function main:death/boss
execute if score Orb Math matches 9 unless score CurrentFloor MathCurrent matches 3 run scoreboard players remove @e[tag=Player] Experience 10
execute if score Orb Math matches 10 run scoreboard players add @e[tag=Player] Experience 10

execute if entity @e[tag=P_Blessing1] run scoreboard players add @e[tag=Player] Health 5
execute if entity @e[tag=P_Blessing2] run scoreboard players add @e[tag=Player] Experience 5
execute if entity @e[tag=P_Blessing3] run scoreboard players add @e[tag=Player] Magic 5
execute if entity @e[tag=P_Blessing4] run scoreboard players add Food ListBuff 5
execute if entity @e[tag=Envy] run scoreboard players operation @e[tag=Player] Health += CurrentFloor Math
execute if entity @e[tag=Envy] run scoreboard players operation @e[tag=Player] Health += CurrentFloor Math
execute if entity @e[tag=Envy] run scoreboard players operation @e[tag=Player] Health += CurrentFloor Math

#Loot
execute if entity @s[tag=DropPlant] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropPlant\"",Tags:["Drop"]}
execute if entity @s[tag=DropFlesh] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropFlesh\"",Tags:["Drop"]}
execute if entity @s[tag=DropIron] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropIron\"",Tags:["Drop"]}
execute if entity @s[tag=DropDiamond] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropDiamond\"",Tags:["Drop"]}
execute if entity @s[tag=DropEmerald] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropEmerald\"",Tags:["Drop"]}
execute if entity @s[tag=DropWood] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropWood\"",Tags:["Drop"]}
execute if entity @s[tag=DropSeeds] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropSeeds\"",Tags:["Drop"]}
execute if entity @s[tag=DropCoal] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropCoal\"",Tags:["Drop"]}
execute if entity @s[tag=DropCrystal] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropCrystal\"",Tags:["Drop"]}
execute if entity @s[tag=DropGold] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropGold\"",Tags:["Drop"]}
execute if entity @s[tag=DropPaper] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropPaper\"",Tags:["Drop"]}
execute if entity @s[tag=DropShard] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropShard\"",Tags:["Drop"]}

execute unless entity @s[tag=Enraged] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropNothing\"",Tags:["Drop"]}
execute unless entity @s[tag=Enraged] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropNothing\"",Tags:["Drop"]}
execute unless score Orb Math matches 9 run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropNothing\"",Tags:["Drop"]}
execute unless score Orb Math matches 9 run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropNothing\"",Tags:["Drop"]}
execute if score Orb Math matches 10 run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropNothing\"",Tags:["Drop"]}
execute if score Orb Math matches 10 run summon area_effect_cloud ~ ~ ~ {CustomName:"\"DropNothing\"",Tags:["Drop"]}

execute if entity @s[tag=SuperLoot] run kill @e[type=area_effect_cloud,tag=Drop,distance=..1,name=DropNothing,limit=2]

#Orb 1: half gold
execute if score Orb Math matches 1 if entity @e[name=DropGold,distance=..2] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"NoGold\"",Tags:["Orb"]}
execute if score Orb Math matches 1 if entity @e[name=DropGold,distance=..2] run summon area_effect_cloud ~ ~ ~ {CustomName:"\"Gold\"",Tags:["Orb"]}
execute if score Orb Math matches 1 if entity @e[name=DropGold,distance=..2] run tag @e[type=area_effect_cloud,tag=Orb,distance=..1,sort=random,limit=1] add Choose2
execute if score Orb Math matches 1 if entity @e[tag=Orb,distance=..1,name=NoGold,tag=Choose2] run kill @e[type=area_effect_cloud,name=DropGold,distance=..2]

tag @e[type=area_effect_cloud,tag=Drop,distance=..1,sort=random,limit=1] add Choose

execute if entity @e[tag=Drop,distance=..1,name=DropPlant,tag=Choose] run summon item ~ ~ ~ {Item:{id:"kelp",Count:1,tag:{display:{Lore:['{"translate":"lore.combat.base"}','{"translate":"lore.combat.plant"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropFlesh,tag=Choose] run summon item ~ ~ ~ {Item:{id:"rotten_flesh",Count:1,tag:{display:{Lore:['{"translate":"lore.combat.base"}','{"translate":"lore.combat.flesh"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropIron,tag=Choose] run summon item ~ ~ ~ {Item:{id:"iron_ingot",Count:1,tag:{display:{Lore:['{"translate":"lore.combat.base"}','{"translate":"lore.combat.iron"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropDiamond,tag=Choose] run summon item ~ ~ ~ {Item:{id:"diamond",Count:1,tag:{display:{Lore:['{"translate":"lore.combat.base"}','{"translate":"lore.combat.diamond"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropEmerald,tag=Choose] run summon item ~ ~ ~ {Item:{id:"emerald",Count:1,tag:{display:{Lore:['{"translate":"lore.combat.base"}','{"translate":"lore.combat.emerald"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropWood,tag=Choose] run summon item ~ ~ ~ {Item:{id:"oak_planks",Count:1,tag:{display:{Lore:['{"translate":"lore.combat.base"}','{"translate":"lore.combat.wood"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropSeeds,tag=Choose] run summon item ~ ~ ~ {Item:{id:"cocoa_beans",Count:1,tag:{Seed:1b,display:{Lore:['{"translate":"lore.item.base"}','{"translate":"lore.item.seeds"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropCrystal,tag=Choose] run summon item ~ ~ ~ {Item:{id:"red_dye",Count:1,tag:{Crystal:1b,display:{Lore:['{"translate":"lore.item.base"}','{"translate":"lore.item.crystal"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropPaper,tag=Choose] run summon item ~ ~ ~ {Item:{id:"paper",Count:1,tag:{Paper:1b,display:{Lore:['{"translate":"lore.item.base"}','{"translate":"lore.item.rune"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropShard,tag=Choose] run summon item ~ ~ ~ {Item:{id:"prismarine_shard",Count:1,tag:{Shard:1b,display:{Lore:['{"translate":"lore.item.base"}','{"translate":"lore.item.shard"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropCoal,tag=Choose] run summon item ~ ~ ~ {Item:{id:"charcoal",Count:1,tag:{Coal:1b,display:{Lore:['{"translate":"lore.item.base"}','{"translate":"lore.item.coal"}']}}}}
execute if entity @e[tag=Drop,distance=..1,name=DropGold,tag=Choose] run summon item ~ ~ ~ {Item:{id:"gold_ingot",Count:1,tag:{display:{Lore:['{"translate":"lore.item.base"}','{"translate":"lore.item.gold"}']}}}}
execute if score Orb Math matches 2 if entity @e[tag=Drop,distance=..1,name=DropGold,tag=Choose] run summon item ~ ~ ~ {Item:{id:"gold_ingot",Count:1,tag:{display:{Lore:['{"translate":"lore.item.base"}','{"translate":"lore.item.gold"}']}}}}

#Shops
execute if entity @s[tag=Shopkeeper] run tellraw @a[tag=Playing] ["",{"translate":"message.shopkeeper.base"},{"translate":"message.shopkeeper.death","color":"red"}]
execute if entity @s[tag=Shopkeeper,tag=!Offended] run scoreboard players remove @e[tag=Player] Honor 10
execute if entity @s[tag=ShopKeep] as @e[tag=Shopkeep] at @s as @e[type=item,distance=..5] run data remove entity @s Item.tag.Shop
execute if entity @s[tag=ShopKeep] as @e[tag=Shopkeep] at @s as @e[type=item,distance=..5] run data remove entity @s Item.tag.Price
execute if entity @s[tag=ShopKeep] as @e[tag=Shopkeep] at @s as @e[type=item,distance=..5] run data merge entity @s {CustomName:"[{\"translate\":\"inv.main.steal1\",\"color\":\"dark_red\"},{\"translate\":\"inv.main.steal2\",\"color\":\"gold\"}]"}
execute if entity @s[tag=ShopKeep2] as @e[tag=Shopkeep2] at @s as @e[type=item,distance=..5] run data merge entity @s {CustomName:"[{\"translate\":\"inv.main.steal1\",\"color\":\"dark_red\"},{\"translate\":\"inv.main.steal2\",\"color\":\"gold\"}]"}
execute if entity @s[tag=ShopKeep2] as @e[tag=Shopkeep2] at @s as @e[type=item,distance=..5] run data remove entity @s Item.tag.Shop
execute if entity @s[tag=ShopKeep2] as @e[tag=Shopkeep2] at @s as @e[type=item,distance=..5] run data remove entity @s Item.tag.Price

#Effects
execute if entity @s[type=armor_stand,name=!Spirit] run particle block stone ~ ~1 ~ 0.5 0.5 0.5 0.1 100 force
execute if entity @s[type=armor_stand,name=!Spirit] run stopsound @a ambient minecraft:entity.blaze.hurt
execute if entity @s[type=armor_stand,name=!Spirit] run playsound minecraft:item.totem.use block @a ~ ~ ~ 0.2

#Final blow.
kill @s
scoreboard players add @a[tag=Playing] StatKills 1
scoreboard players add @e[tag=Player] StatKills 1