scoreboard players set Wood Count 0
scoreboard players set Plant Count 0
scoreboard players set Flesh Count 0
scoreboard players set Iron Count 0
scoreboard players set Diamond Count 0
scoreboard players set Emerald Count 0
scoreboard players set Shard Count 0

execute positioned ~ 15 ~ run tp @e[type=item,distance=..3,tag=!Pickup,tag=!Teleport] ~ ~0.5 ~
execute positioned ~ 15 ~ as @e[type=item,distance=..3,tag=!Pickup,tag=!Teleport] run data merge entity @s {Motion:[0.0d,0.0d,0.0d]}
execute positioned ~ 15 ~ run tag @e[type=item,distance=..3,tag=!Pickup,tag=!Teleport] add Teleport

execute positioned ~ 15 ~ store result score Wood Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:oak_planks"}}] Item.Count
execute positioned ~ 15 ~ store result score Plant Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:kelp"}}] Item.Count
execute positioned ~ 15 ~ store result score Flesh Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:rotten_flesh"}}] Item.Count
execute positioned ~ 15 ~ store result score Iron Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:iron_ingot"}}] Item.Count
execute positioned ~ 15 ~ store result score Diamond Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:diamond"}}] Item.Count
execute positioned ~ 15 ~ store result score Emerald Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:emerald"}}] Item.Count
execute positioned ~ 15 ~ store result score Shard Count run data get entity @e[distance=..2,limit=1,nbt={Item:{id:"minecraft:prismarine_shard"}}] Item.Count

scoreboard players operation Wood Count += Shard Count

execute if score Wood Count matches 1.. if score Plant Count matches 2.. if score TutorialTime Time matches 3101 run tag @a remove STOP

execute if score Wood Count matches 1.. if score Plant Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:81,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon1c\",\"color\":\"green\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.plant3.desc"}','{"translate":"lore.weapon.plant3.min"}','{"translate":"lore.weapon.plant3.max"}','{"translate":"lore.weapon.type.staff"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Plant Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Plant Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:71,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon1a\",\"color\":\"green\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.plant1.desc"}','{"translate":"lore.weapon.plant1.min"}','{"translate":"lore.weapon.plant1.max"}','{"translate":"lore.weapon.type.sword"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Plant Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Plant Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:76,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon1b\",\"color\":\"green\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.plant2.desc"}','{"translate":"lore.weapon.plant2.min"}','{"translate":"lore.weapon.plant2.max"}','{"translate":"lore.weapon.type.axe"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Plant Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Plant Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:86,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon1d\",\"color\":\"green\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.plant4.desc"}','{"translate":"lore.weapon.plant4.min"}','{"translate":"lore.weapon.plant4.max"}','{"translate":"lore.weapon.type.shield"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Plant Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Flesh Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:82,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon2c\",\"color\":\"red\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.flesh3.desc"}','{"translate":"lore.weapon.flesh3.min"}','{"translate":"lore.weapon.flesh3.max"}','{"translate":"lore.weapon.type.staff"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Flesh Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Flesh Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:72,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon2a\",\"color\":\"red\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.flesh1.desc"}','{"translate":"lore.weapon.flesh1.min"}','{"translate":"lore.weapon.flesh1.max"}','{"translate":"lore.weapon.type.sword"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Flesh Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Flesh Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:77,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon2b\",\"color\":\"red\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.flesh2.desc"}','{"translate":"lore.weapon.flesh2.min"}','{"translate":"lore.weapon.flesh2.max"}','{"translate":"lore.weapon.type.axe"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Flesh Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Flesh Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:87,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon2d\",\"color\":\"red\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.flesh4.desc"}','{"translate":"lore.weapon.flesh4.min"}','{"translate":"lore.weapon.flesh4.max"}','{"translate":"lore.weapon.type.shield"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Flesh Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Iron Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:83,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon3c\",\"color\":\"gray\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.iron3.desc"}','{"translate":"lore.weapon.iron3.min"}','{"translate":"lore.weapon.iron3.max"}','{"translate":"lore.weapon.type.staff"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Iron Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Iron Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:73,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon3a\",\"color\":\"gray\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.iron1.desc"}','{"translate":"lore.weapon.iron1.min"}','{"translate":"lore.weapon.iron1.max"}','{"translate":"lore.weapon.type.sword"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Iron Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Iron Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:78,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon3b\",\"color\":\"gray\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.iron2.desc"}','{"translate":"lore.weapon.iron2.min"}','{"translate":"lore.weapon.iron2.max"}','{"translate":"lore.weapon.type.axe"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Iron Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Iron Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:88,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon3d\",\"color\":\"gray\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.iron4.desc"}','{"translate":"lore.weapon.iron4.min"}','{"translate":"lore.weapon.iron4.max"}','{"translate":"lore.weapon.type.shield"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Iron Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Diamond Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:84,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon4c\",\"color\":\"aqua\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.diamond3.desc"}','{"translate":"lore.weapon.diamond3.min"}','{"translate":"lore.weapon.diamond3.max"}','{"translate":"lore.weapon.type.staff"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Diamond Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Diamond Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:74,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon4a\",\"color\":\"aqua\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.diamond1.desc"}','{"translate":"lore.weapon.diamond1.min"}','{"translate":"lore.weapon.diamond1.max"}','{"translate":"lore.weapon.type.sword"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Diamond Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Diamond Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:79,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon4b\",\"color\":\"aqua\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.diamond2.desc"}','{"translate":"lore.weapon.diamond2.min"}','{"translate":"lore.weapon.diamond2.max"}','{"translate":"lore.weapon.type.axe"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Diamond Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Diamond Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:89,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon4d\",\"color\":\"aqua\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.diamond4.desc"}','{"translate":"lore.weapon.diamond4.min"}','{"translate":"lore.weapon.diamond4.max"}','{"translate":"lore.weapon.type.shield"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Diamond Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Emerald Count matches 2 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:85,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon5c\",\"color\":\"dark_green\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.emerald3.desc"}','{"translate":"lore.weapon.emerald3.min"}','{"translate":"lore.weapon.emerald3.max"}','{"translate":"lore.weapon.type.staff"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Emerald Count matches 2 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Emerald Count matches 3 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:75,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon5a\",\"color\":\"dark_green\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.emerald1.desc"}','{"translate":"lore.weapon.emerald1.min"}','{"translate":"lore.weapon.emerald1.max"}','{"translate":"lore.weapon.type.sword"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Emerald Count matches 3 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Emerald Count matches 4 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:80,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon5b\",\"color\":\"dark_green\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.emerald2.desc"}','{"translate":"lore.weapon.emerald2.min"}','{"translate":"lore.weapon.emerald2.max"}','{"translate":"lore.weapon.type.axe"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Emerald Count matches 4 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

execute if score Wood Count matches 1.. if score Emerald Count matches 5 run summon item ~ 15.5 ~ {PickupDelay:10,Item:{id:"diamond_hoe",Count:1,tag:{Unbreakable:1,Damage:90,Weapon:1b,HideFlags:63,display:{Name:"{\"translate\":\"info.weapon5d\",\"color\":\"dark_green\",\"italic\":\"false\"}",Lore:['{"translate":"lore.weapon.base"}','{"translate":"lore.weapon.emerald4.desc"}','{"translate":"lore.weapon.emerald4.min"}','{"translate":"lore.weapon.emerald4.max"}','{"translate":"lore.weapon.type.shield"}']}}},Tags:["Pickup"]}
execute if score Wood Count matches 1.. if score Emerald Count matches 5 positioned ~ 15 ~ run kill @e[distance=..2,type=item,tag=!Pickup]

summon area_effect_cloud ~ 17 ~ {CustomName:"{\"text\":\"Crafter\",\"bold\":\"true\"}",CustomNameVisible:1}
summon area_effect_cloud ~ 16.5 ~ {CustomName:"[{\"text\":\"1 Wood/Shard \"},{\"text\":\"+\",\"color\":\"red\"},{\"text\":\" 2/3/4/5 \"},{\"text\":\"Combat Resource:\",\"color\":\"gold\"}]",CustomNameVisible:1}
summon area_effect_cloud ~ 16.25 ~ {CustomName:"[{\"text\":\"Staff\",\"color\":\"dark_red\",\"underlined\":\"true\"},{\"text\":\"/\",\"color\":\"white\",\"underlined\":\"false\"},{\"text\":\"Sword\",\"color\":\"dark_red\",\"underlined\":\"true\"},{\"text\":\"/\",\"color\":\"white\",\"underlined\":\"false\"},{\"text\":\"Axe\",\"color\":\"dark_red\",\"underlined\":\"true\"},{\"text\":\"/\",\"color\":\"white\",\"underlined\":\"false\"},{\"text\":\"Shield\",\"color\":\"dark_red\",\"underlined\":\"true\"}]",CustomNameVisible:1}