#All big rooms

execute as @e[name=Room,tag=RoomBig,limit=10] at @s unless block ~3 7 ~2 air run function void:room3x
execute as @e[name=Room,tag=RoomBig,limit=10] at @s unless block ~-2 7 ~-3 air run function void:room3z

#All normal rooms
execute as @e[name=Room,tag=!RoomDone] at @s run function void:room2

#All bonus rooms
execute as @e[name=Room,tag=RoomSmall,scores={Count=1},tag=!BossRoom,tag=!StartRoom] at @s run function void:room4

#All giant rooms
execute as @e[name=Room,tag=RoomSmall,scores={Count=4}] at @s unless entity @e[tag=StartRoom,distance=..10] unless entity @e[tag=BossRoom,distance=..10] positioned ~7 ~ ~ if entity @e[distance=..2,name=Room] positioned ~ ~ ~7 if entity @e[distance=..2,name=Room] positioned ~-7 ~ ~ if entity @e[distance=..2,name=Room] run tag @s add Giant
execute as @e[name=Room,tag=Giant,limit=1,sort=random] at @s run function void:room5

#Start/Boss rooms
execute as @e[name=Room,tag=StartRoom] at @s run function void:room6a
execute as @e[name=Room,tag=BossRoom] at @s run function void:room6b

#Extra void placement
execute at @e[name=Room] unless block ~3 7 ~ air run fill ~7 8 ~ ~ 9 ~ structure_void replace air
execute at @e[name=Room] unless block ~-3 7 ~ air run fill ~-7 8 ~ ~ 9 ~ structure_void replace air
execute at @e[name=Room] unless block ~ 7 ~3 air run fill ~ 8 ~7 ~ 9 ~ structure_void replace air
execute at @e[name=Room] unless block ~ 7 ~-3 air run fill ~ 8 ~-7 ~ 9 ~ structure_void replace air

#Wall placement
execute at @e[name=Room] positioned ~ 7 ~ run fill ~3 ~1 ~3 ~-3 ~2 ~-3 black_wool replace air
execute at @e[tag=FinalRoom] run fill ~-2 8 ~-2 ~2 9 ~2 structure_void
execute at @e[tag=FinalRoom] run fill ~-2 7 ~-2 ~2 7 ~2 black_wool
execute at @e[name=Room,tag=BossRoom] unless block ~5 7 ~ black_wool run fill ~5 8 ~ ~5 9 ~ black_wool
execute at @e[name=Room,tag=BossRoom] unless block ~-5 7 ~ black_wool run fill ~-5 8 ~ ~-5 9 ~ black_wool
execute at @e[name=Room,tag=BossRoom] unless block ~ 7 ~5 black_wool run fill ~ 8 ~5 ~ 9 ~5 black_wool
execute at @e[name=Room,tag=BossRoom] unless block ~ 7 ~-5 black_wool run fill ~ 8 ~-5 ~ 9 ~-5 black_wool
execute at @e[tag=BossRoom] run fill ~-9 7 ~-9 ~9 7 ~9 black_wool replace black_wool

#Bonus rooms
execute as @e[name=Room,tag=!StartRoom,tag=!BossRoom,limit=4,sort=random,tag=!FinalRoom] at @s unless block ~ 7 ~ #path:use run function void:room7