#All big rooms

execute as @e[name=Room,tag=RoomBig,limit=10] at @s unless block ~3 7 ~2 air run function zcaves:room3x
execute as @e[name=Room,tag=RoomBig,limit=10] at @s unless block ~-2 7 ~-3 air run function zcaves:room3z

#All normal rooms
execute as @e[name=Room,tag=!RoomDone] at @s run function zcaves:room2

#All bonus rooms
execute as @e[name=Room,tag=RoomSmall,scores={Count=1},tag=!BossRoom,tag=!StartRoom] at @s run function zcaves:room4

#All giant rooms
execute as @e[name=Room,tag=RoomSmall,scores={Count=4}] at @s unless entity @e[tag=StartRoom,distance=..10] unless entity @e[tag=BossRoom,distance=..10] positioned ~7 ~ ~ if entity @e[distance=..2,name=Room] positioned ~ ~ ~7 if entity @e[distance=..2,name=Room] positioned ~-7 ~ ~ if entity @e[distance=..2,name=Room] run tag @s add Giant
execute as @e[name=Room,tag=Giant,limit=1,sort=random] at @s run function zcaves:room5

#Start/Boss rooms
execute as @e[name=Room,tag=StartRoom] at @s run function zcaves:room6a
execute as @e[name=Room,tag=BossRoom] at @s run function zcaves:room6b

#Extra void placement
execute at @e[name=Room] unless block ~3 7 ~ air run fill ~7 8 ~ ~ 9 ~ structure_void replace air
execute at @e[name=Room] unless block ~-3 7 ~ air run fill ~-7 8 ~ ~ 9 ~ structure_void replace air
execute at @e[name=Room] unless block ~ 7 ~3 air run fill ~ 8 ~7 ~ 9 ~ structure_void replace air
execute at @e[name=Room] unless block ~ 7 ~-3 air run fill ~ 8 ~-7 ~ 9 ~ structure_void replace air

#Wall placement
execute at @e[name=Room,tag=BossRoom] run fill ~4 8 ~4 ~-4 9 ~-4 bookshelf replace air
execute at @e[name=Room,tag=Secret3] run fill ~4 7 ~4 ~-4 9 ~-4 end_stone_bricks replace air
execute at @e[name=Room,limit=8,sort=random] positioned ~ 7 ~ run fill ~3 ~1 ~3 ~-3 ~2 ~-3 end_stone replace air
execute at @e[name=Room,limit=8,sort=random] positioned ~ 7 ~ run fill ~3 ~1 ~3 ~-3 ~2 ~-3 end_stone_bricks replace air
execute at @e[name=Room] positioned ~ 7 ~ run fill ~3 ~1 ~3 ~-3 ~2 ~-3 bookshelf replace air
execute at @e[name=Room,tag=BossRoom] unless block ~4 7 ~ end_stone_bricks run fill ~4 8 ~ ~4 9 ~ bookshelf
execute at @e[name=Room,tag=BossRoom] unless block ~-4 7 ~ end_stone_bricks run fill ~-4 8 ~ ~-4 9 ~ bookshelf
execute at @e[name=Room,tag=BossRoom] unless block ~ 7 ~4 end_stone_bricks run fill ~ 8 ~4 ~ 9 ~4 bookshelf
execute at @e[name=Room,tag=BossRoom] unless block ~ 7 ~-4 end_stone_bricks run fill ~ 8 ~-4 ~ 9 ~-4 bookshelf
execute at @e[name=Room,tag=BossRoom] if block ~4 7 ~ end_stone_bricks run setblock ~4 7 ~ red_nether_bricks
execute at @e[name=Room,tag=BossRoom] if block ~-4 7 ~ end_stone_bricks run setblock ~-4 7 ~ red_nether_bricks
execute at @e[name=Room,tag=BossRoom] if block ~ 7 ~4 end_stone_bricks run setblock ~ 7 ~4 red_nether_bricks
execute at @e[name=Room,tag=BossRoom] if block ~ 7 ~-4 end_stone_bricks run setblock ~ 7 ~-4 red_nether_bricks

#Bonus rooms
execute as @e[name=Room,tag=!StartRoom,tag=!BossRoom,limit=4,sort=random] at @s unless block ~ 7 ~ #path:use run function zcaves:room7
execute at @e[name=Room,tag=Secret3] run clone -20 32 86 -14 35 80 ~-3 7 ~-3

execute at @e[name=Room,tag=Secret3] run summon item ~ 9 ~ {Age:-32768,Item:{id:"music_disc_chirp",Count:1,tag:{HideFlags:63,Void:1s,display:{Lore:['{"translate":"lore.void.base"}','{"translate":"lore.void.1a"}','{"translate":"lore.void.1b"}','{"translate":"lore.void.1c"}'],Name:"{\"translate\":\"item.custom.void1\",\"color\":\"dark_gray\",\"italic\":\"false\"}"}}}}

execute at @e[name=Room,tag=Secret5] run summon item ~ 9 ~ {Age:-32768,Item:{id:"music_disc_stal",Count:1,tag:{HideFlags:63,Void:2s,display:{Lore:['{"translate":"lore.void.base"}','{"translate":"lore.void.2a"}','{"translate":"lore.void.2b"}','{"translate":"lore.void.2c"}'],Name:"{\"translate\":\"item.custom.void2\",\"color\":\"dark_gray\",\"italic\":\"false\"}"}}}}

execute at @e[name=Room,tag=Secret7] run summon item ~ 9 ~ {Age:-32768,Item:{id:"music_disc_11",Count:1,tag:{HideFlags:63,Void:3s,display:{Lore:['{"translate":"lore.void.base"}','{"translate":"lore.void.3a"}','{"translate":"lore.void.3b"}','{"translate":"lore.void.3c"}'],Name:"{\"translate\":\"item.custom.void3\",\"color\":\"dark_gray\",\"italic\":\"false\"}"}}}}

#Craft and Smite room
execute as @e[tag=!StartRoom,tag=!BossRoom,tag=!Secret3,name=Room,sort=random,limit=1,tag=RoomSmall,scores={Count=2..}] run tag @s add Craft
execute at @e[name=Room,tag=Craft] run clone -29 7 28 -25 9 32 ~-2 7 ~-2

execute as @e[tag=!StartRoom,tag=!BossRoom,tag=!Secret3,name=Room,sort=random,limit=1,tag=RoomSmall,scores={Count=2..},tag=!Craft] run tag @s add Smite
execute at @e[tag=Smite] run clone -29 7 34 -25 9 38 ~-2 7 ~-2

execute at @e[tag=Craft] run fill ~-2 7 ~-2 ~2 7 ~2 end_stone_bricks replace dirt
execute at @e[tag=Smite] run fill ~-2 7 ~-2 ~2 7 ~2 end_stone_bricks replace iron_block